diff -ruN src/autocomplete.c src/autocomplete.c
--- src/autocomplete.c	2021-07-26 15:04:59.172715491 -0400
+++ src/autocomplete.c	2021-07-26 15:22:06.652686609 -0400
@@ -25,10 +25,12 @@
 #include <string.h>
 
 #ifdef __APPLE__
-#include <sys/types.h>
 #include <sys/dir.h>
+#include <sys/types.h>
+#include <sys/sysinfo.h>
 #else
 #include <dirent.h>
+#include <linux/limits.h>
 #endif /* __APPLE__ */
 
 #include "configdir.h"
diff -ruN src/file_transfers.h src/file_transfers.h
--- src/file_transfers.h	2021-07-26 15:39:36.765990567 -0400
+++ src/file_transfers.h	2021-07-26 15:39:41.899323757 -0400
@@ -24,6 +24,12 @@
 #define FILE_TRANSFERS_H
 
 #include <limits.h>
+//This includes NAME_MAX and PATH_MAX
+#ifdef __APPLE__
+#include <sys/sysinfo.h>
+#elif __linux__
+#include <linux/limits.h>
+#endif
 
 #include "notify.h"
 #include "toxic.h"
diff -ruN src/settings.h src/settings.h
--- src/settings.h	2021-07-26 15:04:59.176048823 -0400
+++ src/settings.h	2021-07-26 15:12:01.772703590 -0400
@@ -24,6 +24,12 @@
 #define SETTINGS_H
 
 #include <limits.h>
+//This includes NAME_MAX and PATH_MAX
+#ifdef __APPLE__
+#include <sys/sysinfo.h>
+#elif __linux__
+#include <linux/limits.h>
+#endif
 
 #include <tox/tox.h>
 
